Name:           paternoster
Version:        3.1.0
Release:        1%{?dist}
Summary:        Allows to run ansible playbooks like ordinary python or bash scripts

License:        MIT
URL:            https://github.com/uberspace/paternoster
Source0:        https://github.com/Uberspace/paternoster/archive/v%{version}/%{name}-v%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(ansible)
Requires:       python3dist(six)
Requires:       python3dist(tldextract) >= 2.0.1

%description
Paternoster enables ansible playbooks to be run like normal bash or python
scripts. It parses the given parameters using python's argparse and the passes
them on to the actual playbook via the ansible API. In addition it provides an
automated way to run commands as another user, which can be used to give normal
shell users special privileges, while still having a sleek and easy to
understand user interface.

%prep
%autosetup
# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc README.md
%license LICENSE.txt
%{_bindir}/paternoster
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info

%changelog
* Wed Apr 01 2020 Justus Rossmeier <pkg-fedora@juro.me> - 3.1.0-1
- Initial package.
